/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package javax.tools.diagnostics.image;

/**
 * This exception is used to indicate that data was requested which
 * is not available on this system, or in this image.
 *
 */
public class DataUnavailable extends DiagnosticException {

	private static final long serialVersionUID = 2104628444818149680L;

	/**
	 * Build exception with the given description
	 * @param description
	 */
	public DataUnavailable(String description) {
		super(description);
	}

    /**
     * Build exception with no description
     */
	public DataUnavailable() {
		super();
	}

}
