/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.common;

import java.util.Iterator;
import java.util.TreeMap;

public class ClassSummary implements Iterable<String>{

	private TreeMap<String,Counter> map=new TreeMap<String,Counter>();
	
	private static class Counter {
		int count=0;
	}

	public void record(Object record) {
		record(record.getClass());
		
	}
	
	public void record(Class clazz) {
		String name=clazz.getCanonicalName();
		Counter counter=null;
		
		if(map.containsKey(name)) {
			counter=map.get(name);
		}
		else {
			counter=new Counter();
			map.put(name, counter);
		}
		counter.count++;
	
	}

	@Override
	public Iterator<String> iterator() {

		return map.keySet().iterator();
	}

	public Integer getCount(String tag) {
		if(map.containsKey(tag)) return map.get(tag).count;
		else return null;
	}
	
	
	
}
