/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.common;


/**
 * 
 * Interface for various implementations that map from an ID to a location.
 * 
 *
 */
public interface IDLocationMap {
	/** 
	 * Extract a location by ID.
	 * 
	 * @param id
	 * @return
	 */
	public abstract Long getLocation(Long id);
	
	/**
	 * Add a mapping from an ID to a location in the IHeapDumpHProfRecord.
	 * 
	 * @param ID
	 * @param location
	 */
	public void put(Long ID, Long location);

}
