/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.common;

import java.io.IOException;
import java.util.List;

public interface IDataProvider {

	void close() throws IOException;

	void open() throws IOException;

	void moveTo(long l) throws IOException;

	String readCString() throws IOException;

	int readU4() throws IOException;

	long readU8() throws IOException;

	long getCurrentLocation() throws IOException;

	long getDataLength() throws IOException;

	short readByte()throws IOException;

	byte[] readBytes(int left) throws IOException;

	void moveBy(int left) throws IOException;

	short readU2() throws IOException;
	
	void addState(List state);

	long dataRemaining();

	boolean moved();
}
