/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.hprof.java;

import java.util.Collection;
import java.util.Collections;

import org.apache.kato.hprof.IJavaClassLoader;

/**
 * Represents classloaders that exist only as objects on the heap.
 * These classloaders have no actual java classes.
 *
 */
public class EmptyClassLoaderImpl implements IJavaClassLoader {
	private long id;
	
	public EmptyClassLoaderImpl(long id) {
		this.id = id;
	}

	@Override
	public Collection<Long> getClasses() {
		return Collections.emptyList();
	}

	@Override
	public long getID() {
		return id;
	}
	

}
