/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.hprof.java;

import java.util.Collection;

import javax.tools.diagnostics.image.ImagePointer;
import javax.tools.diagnostics.runtime.java.JavaClass;
import javax.tools.diagnostics.runtime.java.JavaHeap;
import javax.tools.diagnostics.runtime.java.JavaObject;


/**
 * Source of objects and everything to do with them,
 * such as classloaders and javaclasses.
 * 
 *
 */
public interface IJavaHeapInternal extends JavaHeap {

	abstract JavaObject getObjectByID(Long element);

	abstract JavaClassImpl getJavaClassByID(long arrayClassObjectID);

	abstract JavaClass getPrimitiveArrayClass(short elementType);

	abstract String getUTF8StringByID(long fieldNameID);

	abstract JavaClassLoaderImpl getJavaClassLoaderByID(long classLoaderObjectID);

	abstract JavaPrimitiveClassImpl getPrimitiveClass(int l);

	abstract Collection<JavaClassLoaderImpl> getJavaClassLoaders();

	abstract ImagePointer getImagePointer(long address); 
}
