/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package test.apache.kato.hprof.java;

import java.io.IOException;
import java.util.Iterator;
import java.util.List;

import javax.tools.diagnostics.runtime.java.JavaHeap;
import javax.tools.diagnostics.runtime.java.JavaObject;


import test.apache.kato.hprof.image.AbstractHProfTestCase;

public class TestJavaHeap extends AbstractHProfTestCase {

	
	public void testGetName() throws IOException {
		
		JavaHeap heap=getPopulatedJavaHeap();
		String name=heap.getName();
		assertNotNull(name);
		
	}
	
	public void testGetSectionsReturns() throws IOException {
		
		JavaHeap heap=getPopulatedJavaHeap();
		List i=heap.getSections();
		assertNotNull(i);
		
	}
	public void testGetSectionsIsEmpty() throws IOException {
		
		JavaHeap heap=getPopulatedJavaHeap();
		Iterator i=heap.getSections().iterator();
		assertFalse("expected empty iterator",i.hasNext());
		
	}
	
	public void testGetObjectsReturns() throws Exception {
		
		JavaHeap heap=getPopulatedJavaHeap();
		Iterator i=heap.getObjects().iterator();
		
		int count=0;
		while (i.hasNext()) {
			JavaObject obj = (JavaObject)i.next();
			count++;
		}
		
		assertTrue("There must be >0 objects on heap.",count > 0);
	}
	
	
	
	
}
