/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.hprof.datalayer;

/**
 *  An instance field description from a Class.
 */
public class InstanceFieldEntry extends FieldEntry {

	private int offset;

	/**
	 * 
	 * @param fieldNameID the ID of the name of the field.
	 * @param type the type of the field
	 * @param offset offset of the field within its instance.
	 */
	public InstanceFieldEntry(long fieldNameID, short type, int offset) {
		this.fieldNameID = fieldNameID;
		this.type = type;
		this.offset = offset;
	}
	
	public int getOffset() {
		return offset;
	}
}