/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.results.reporter;


import java.io.PrintWriter;

public class HTMLWriter {

	private PrintWriter out=null;
	
	public HTMLWriter(PrintWriter pw) {
		this.out=pw;
	}

	public void endRow() {
		out.print("</tr>");
		
	}

	public void startRow() {
		out.print("<tr>");
		
	}

	public void writeRow(String[] row) {
		
		out.print("<tr>");
		
		
		for(int i=0;i<row.length;i++) {
			String s=row[i];
			out.print("<tr>"+s+"</tr>");
		}
		out.println("</tr>");
		
	}

	public void writeDocHeader(String title) {
		out.println("<head>");
		out.println("<META http-equiv=\"Content-Type\" content=\"text/html; charset=US-ASCII\">");
		out.println("<title>"+title+"</title>");
		out.println("<link rel=\"stylesheet\" type=\"text/css\" title=\"Style\" href=\"resources/stylesheet.css\">");
		out.println("</head>");
		out.println("<body>");
		
	}

	public void startDetailTable() {
		out.println("<table  class=\"details\" border=\"0\" cellpadding=\"5\" cellspacing=\"2\" width=\"95%\">");
		
	}

	public void writeTableHeaderCell(String contents) {
		out.print("<th>"+contents+"</th>");
		
	}

	public void writeSpanningtableHeader(int width, String name) {
		out.print("<th colspan="+width+">"+name+"</th>");
		
	}

	public void writeTableCell(String contents) {
		out.print("<td>"+contents+"</td>");
		
	}

	public void writeEndTable() {
		out.println("</table>");
	}

	public void writeDocEnd() {
		
		out.println("</body>");
	}

	public String createLink(String href, String data) {

		return "<a href=\""+href+"\">"+data+"</a>";
	}

	public void writeHead2(String data) {
		out.print("<h2>"+data+"</h2>");
		
	}

	public void startDetailTable(String caption) {
		startDetailTable();
		out.print("<caption>"+caption+"</caption>");
		
	}

	public void writeCode(String outLog) {
		out.print("<code>"+outLog+"</code>");
		
	}

	public void startTableCell() {
	out.print("<td>");
		
	}

	public void endTableCell() {
		out.print("</td>");
		
	}

	public String createImage(String imageName) {
	return "<img src=\""+imageName+"\">";
	}

	
}
