/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.results.reporter;

import java.util.List;


public class TestcaseResultFailure extends TestcaseResult {

	private String failureType=null;
	private String[] failureStack=new String[0];
	
	public TestcaseResultFailure(String className, String methodName,
			long time, String type, String stack) {
		super(className, methodName, time);
		failureType=type;
		failureStack=stack.split("\n");
	}
	public TestcaseResultFailure(String className, String methodName,
			long time, String type, Throwable t) {
		super(className, methodName, time);
		failureType=type;
		failureStack=convertStack(t);
	}

	public TestcaseResultFailure(String className, String methodName, int time,
			String type, List stack) {
		super(className, methodName, time);
		failureType=type;
		failureStack=(String[]) stack.toArray(new String[0]);
	}
	public String[] getFailureStack() {
		return failureStack;
	}
	
}
