/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package test.apache.kato.tck.harness.unittests;

import org.apache.kato.tck.harness.BuildVersionHelper;

import junit.framework.TestCase;


public class TestBuildVersionHelper extends TestCase{

	
	public void testBuildVersionNotNull() {
		
		String date=BuildVersionHelper.getBuildVersion();
		assertNotNull(date);
		 
	}
	
	
	public void testParseIBMBuildVersion142() {
		
		String result=BuildVersionHelper.getIBM142Version("J2RE 1.4.2 IBM build cxia32142-20080515 (SR11) (JIT enabled: jitc)");
		assertEquals("1.4.2.SR11.20080515",result);
		
	}
	
	public void testParseIBMBuildVersion150() {
		
		String result=BuildVersionHelper.getIBM150Version("pxi32devifx-20080811b (SR8a)");
		assertEquals("1.5.0.SR8a.20080811b",result);
		
	}
public void testParseIBMBuildVersion160() {
		
		String result=BuildVersionHelper.getIBM160Version("jvmxi3260-20081105_25433");
		assertEquals("1.6.0.25433.20081105",result);
		
	}

public void testParseSunBuildVersion160() {
	
	String result=BuildVersionHelper.getSunBuildVersion("1.6.0_05-ea-b04");
	assertEquals("1.6.0.05.04",result);
}
public void testParseSunBuildVersion142() {
	
	String result=BuildVersionHelper.getSunBuildVersion("1.4.2_18-b06");
	assertEquals("1.4.2.18.06",result);
}	

}
