/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import javax.tools.diagnostics.runtime.java.JavaField;
import javax.tools.diagnostics.runtime.java.JavaObject;

import org.apache.kato.tck.harness.TCKJavaRuntimeTestcase;
import org.apache.kato.tck.scenario142.javaruntime.SetupJavaField_getSignature;


public class TestJavaField_getSignature extends TCKJavaRuntimeTestcase {
	
	static JavaObject thisObject = null;	
	public JavaObject getScenerioReference() {
		if (thisObject == null) {
			thisObject = super.getScenerioReference();
		}	
		return thisObject;
		
	}

	
	public void testByteFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "byteField");
		
		assertEquals("B", field.getSignature());
	}
	
	public void testShortFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "shortField");
		
		assertEquals("S", field.getSignature());
	}
	
	public void testCharFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "charField");
		
		assertEquals("C", field.getSignature());
	}
	
	public void testIntFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "intField");
		
		assertEquals("I", field.getSignature());
	}
	
	public void testLongFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "longField");
		
		assertEquals("J", field.getSignature());
	}
	
	public void testFloatFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "floatField");
		
		assertEquals("F", field.getSignature());
	}
	
	public void testDoubleFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "doubleField");
		
		assertEquals("D", field.getSignature());
	}
	
	public void testObjectFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "objectField");
		
		assertEquals("Ljava/lang/String;", field.getSignature());
	}
	
	public void testByteArrayArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "byteArrayArrayField");
		
		assertEquals("[[B", field.getSignature());
	}
	
	public void testShortArrayArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "shortArrayArrayField");
		
		assertEquals("[[S", field.getSignature());
	}
	
	public void testCharArrayArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "charArrayArrayField");
		
		assertEquals("[[C", field.getSignature());
	}
	
	public void testIntArrayArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "intArrayArrayField");
		
		assertEquals("[[I", field.getSignature());
	}
	
	public void testLongArrayArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "longArrayArrayField");
		
		assertEquals("[[J", field.getSignature());
	}
	
	public void testFloatArrayArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "floatArrayArrayField");
		
		assertEquals("[[F", field.getSignature());
	}
	
	public void testDoubleArrayArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "doubleArrayArrayField");
		
		assertEquals("[[D", field.getSignature());
	}
	
	public void testObjectArrayArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "objectArrayArrayField");
		
		assertEquals("[[Ljava/lang/String;", field.getSignature());
	}
	
	public void testByteArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "byteArrayField");
		
		assertEquals("[B", field.getSignature());
	}
	
	public void testShortArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "shortArrayField");
		
		assertEquals("[S", field.getSignature());
	}
	
	public void testCharArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "charArrayField");
		
		assertEquals("[C", field.getSignature());
	}
	
	public void testIntArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "intArrayField");
		
		assertEquals("[I", field.getSignature());
	}
	
	public void testLongArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "longArrayField");
		
		assertEquals("[J", field.getSignature());
	}
	
	public void testFloatArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "floatArrayField");
		
		assertEquals("[F", field.getSignature());
	}
	
	public void testDoubleArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "doubleArrayField");
		
		assertEquals("[D", field.getSignature());
	}
	
	public void testObjectArrayFieldSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "objectArrayField");
		
		assertEquals("[Ljava/lang/String;", field.getSignature());
	}
	
	public void testUnicodeClassSignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "unicodeClass");
		assertEquals("L"+SetupJavaField_getSignature.unicodeClassName+";", field.getSignature());
	}
	
	public void testUnicodeClassArraySignature() throws Exception {
		JavaField field = getJavaField(getScenerioReference(), "unicodeClassArray");
		assertEquals("[L"+SetupJavaField_getSignature.unicodeClassName+";", field.getSignature());
	}
}
