/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/

package org.apache.kato.tck.tests.legacy;

import java.util.List;

import javax.tools.diagnostics.image.CorruptDataException;
import javax.tools.diagnostics.image.DataUnavailable;
import javax.tools.diagnostics.image.ImagePointer;
import javax.tools.diagnostics.image.ImageSection;
import javax.tools.diagnostics.image.ImageThread;
import javax.tools.diagnostics.runtime.java.JavaClass;
import javax.tools.diagnostics.runtime.java.JavaClassLoader;
import javax.tools.diagnostics.runtime.java.JavaObject;
import javax.tools.diagnostics.runtime.java.JavaReference;
import javax.tools.diagnostics.runtime.java.JavaRuntime;
import javax.tools.diagnostics.runtime.java.JavaStackFrame;
import javax.tools.diagnostics.runtime.java.JavaThread;

import org.apache.kato.tck.harness.TCKJavaRuntimeTestcase;

/**
 * 
 */
public class TestJavaClassLoaders  extends TCKJavaRuntimeTestcase {

	
	public void testClassLoaders() {
		JavaRuntime runtime=getJavaRuntime();
		
		List<JavaClassLoader> loaders=runtime.getJavaClassLoaders();
		
		if(loaders.isEmpty()) return; // no threads to test
		
		int counter=0;
		
		for(JavaClassLoader loader:loaders) {
			
			
			// name
			
			try {
				loader.getObject();
			} catch (CorruptDataException e) {
				// allowed
			}
			
			List<JavaClass> definedClasses=loader.getDefinedClasses();
			assertNotNull("Entry "+counter+":defined classes list is null",definedClasses);
			
			List<JavaClass> cachedClasses=loader.getCachedClasses();
			assertNotNull("Entry "+counter+":cached classes list is null",cachedClasses);
			
			
			try {
				loader.findClass(null);
				
			} catch (CorruptDataException e) {
				// allowed
			}
			
			try {
				loader.findClass("");
				
			} catch (CorruptDataException e) {
				// allowed
			}
			try {
				loader.findClass("java/lang/String");
				
			} catch (CorruptDataException e) {
				// allowed
			}
			
			
			
			counter++;
		}
		
		
		
	}
}
