/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.tests.process;

import java.util.Iterator;
import java.util.Properties;

import javax.tools.diagnostics.image.CorruptDataException;
import javax.tools.diagnostics.image.DataUnavailable;
import javax.tools.diagnostics.image.Image;
import javax.tools.diagnostics.image.ImageAddressSpace;
import javax.tools.diagnostics.image.ImageProcess;
import org.apache.kato.tck.harness.TCKProcessTestcase;
import org.apache.kato.tck.scenario142.process.SetupEnvironmentVariables;


public class TestEnvironmentVariables extends TCKProcessTestcase {

	
	/**
	 * Tests that provided environmental variable is in dump and has
	 * correct value
	 * @throws CorruptDataException 
	 * @throws DataUnavailable 
	 */
	public void testEnvironmentVariableRetrievedKeyValuePair() throws DataUnavailable, CorruptDataException {

	
		// get image  process

		
		ImageProcess process=getProcess();
		
		// get environment 
	
			Properties properties=process.getEnvironment();
			String value=properties.getProperty(SetupEnvironmentVariables.KEY1);
			assertEquals(SetupEnvironmentVariables.VALUE,value);
		

	
	}
	/**
	 * Tests that provided environmental variable is in dump and has
	 * correct value
	 * @throws CorruptDataException 
	 * @throws DataUnavailable 
	 */
	public void testEnvironmentVariableRetrievedKeyOnly() throws DataUnavailable, CorruptDataException {

	
		// get image  process

		
		ImageProcess process=getProcess();
		
		// get environment 
	
			Properties properties=process.getEnvironment();
			String value=properties.getProperty(SetupEnvironmentVariables.KEY2);
			assertEquals("key2 value should be empty String","",value);
			

	
	}
	/**
	 * Tests that provided environmental variable is in dump and has
	 * correct value
	 * @throws CorruptDataException 
	 * @throws DataUnavailable 
	 */
	public void testEnvironmentVariableRetrievedKeyNoValue() throws DataUnavailable, CorruptDataException {

	
		// get image  process

		
		ImageProcess process=getProcess();
		
		// get environment 
	
			Properties properties=process.getEnvironment();
			String value=properties.getProperty(SetupEnvironmentVariables.KEY3);
			System.out.println("KEY3 "+SetupEnvironmentVariables.KEY3+" value \""+value+"\"");
			assertNull(value);
			

	
	}
	private ImageProcess getProcess() {
		
		Image image=getImage();
		Iterator addressIterator=image.getAddressSpaces().iterator();
		ImageAddressSpace addressSpace=(ImageAddressSpace) addressIterator.next();
		ImageProcess process=addressSpace.getCurrentProcess();
		return process;
	}
}
