/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview;

import javax.tools.diagnostics.image.ImageFactory;

public class Version {

	private static int majorVersion = 1;
	private static int minorVersion = 0;
	private static int buildVersion = 24;
	
	private static String name = "KatoView";
	
	public static String getVersion()
	{
		return Integer.toString(majorVersion) + "." +
			Integer.toString(minorVersion) + "." +
			Integer.toString(buildVersion);
	}
	
	public static String getName()
	{
		return name;
	}
	
	public static String getAllVersionInfo(ImageFactory factory)
	{
		String katoViewVersion = getName() + " version " + getVersion();
		String katoAPIVersion = factory.getMajorVersion() + "." + factory.getMinorVersion();
 
		return katoViewVersion + ", using Kato API version " + katoAPIVersion;
	}
}
