/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.commands;

import java.util.HashMap;
import java.util.Stack;

import javax.tools.diagnostics.image.Image;

import org.apache.kato.katoview.Output;


public class HelpCommand extends Command {
	
	private RootCommand rootCommand;

	public HelpCommand(Output o, RootCommand r){
		super(o, "help", "displays list of commands or help for a specific command",
				"parameters: none, <command_name>\n\n" +
				"With no parameters, \"help\" displays the complete list of commands " +
				"currently supported.  When a <command_name> is specified, \"help\" " +
				"will list that command's sub-commands if it has sub-commands; " +
				"otherwise, the command's complete description will be displayed.\n\n" +
				"To view help on a command's sub-command, specify both the command " +
				"name and the sub-command name.  For example, \"help info thread\" " +
				"will display \"info thread\"'s description."
		);
		child_commands = null;
		
		rootCommand = r;
	}
	
	public void doCommand(Stack args, Image loadedImage, HashMap properties)
	{
		rootCommand.printHelp("\t", 11, args, new Stack());
	}
}
