/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.commands;

import java.util.HashMap;
import java.util.Stack;
import java.io.File;

import javax.tools.diagnostics.image.Image;

import org.apache.kato.katoview.Output;


public class PwdCommand extends Command {
	
	public PwdCommand(Output o){
		super(o, "pwd", "displays the current working directory",
				"parameters: none\n\n" +
				"displays the current working directory, which is the directory " +
				"where log files are stored; see the help for \"cd\" for more " +
				"information\n"
		);
		child_commands = null;
	}
	
	public void doCommand(Stack args, Image loadedImage, HashMap properties){
		if (!args.isEmpty())
		{
			out.error("\"pwd\" does not take any parameters");
			return;
		}
		
		File pwd = (File)properties.get("pwd");
		
		out.print("\n");
		out.print("\t" + pwd.getPath());
		out.print("\n\n");
	}
}
