/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.commands.helpers;

import javax.tools.diagnostics.runtime.java.JavaMonitor;

public class MonitorNode {

	public static final int UNKNOWN = 0;
	public static final int NO_DEADLOCK = 1;
	public static final int LOOP_DEADLOCK = 2;
	public static final int BRANCH_DEADLOCK = 3;
	
	private JavaMonitor monitor;
	public int visit;
	public MonitorNode waitingOn;
	public int deadlock;
	public NodeList inList;
	
	public MonitorNode(JavaMonitor _monitor)
	{
		monitor = _monitor;
		visit = 0;
		waitingOn = null;
		deadlock = UNKNOWN;
		inList = null;
	}

	public JavaMonitor getMonitor()
	{
		return monitor;
	}
}
